Class | Tk::Tile::TNotebook
In: | tk/lib/tkextlib/tile/tnotebook.rb
Parent: | TkWindow

### Methods

__item_methodcall_optkeys add enable_traversal forget index select style tabcget tabs

### Included Modules

TkItemConfigMethod Tk::Tile::TileWidget

### Constants

TkCommandNames | = | ['::ttk::notebook'.freeze].freeze
TkCommandNames | = | ['::tnotebook'.freeze].freeze
WidgetClassName | = | 'TNotebook'.freeze

### External Aliases

itemconfigure | -> | tabconfigure
| alias tabcget itemcget
itemconfiginfo | -> | tabconfiginfo
current_itemconfiginfo | -> | current_tabconfiginfo

### Public Class methods

style(*args)

[Source]

    # File tk/lib/tkextlib/tile/tnotebook.rb, line 60
      def self.style(*args)
        [self::WidgetClassName, *(args.map!{|a| _get_eval_string(a)})].join('.')
      end

### Public Instance methods

__item_methodcall_optkeys(

[Source]

    # File tk/lib/tkextlib/tile/tnotebook.rb, line 35
      def __item_methodcall_optkeys  # { key=>method, ... }
        {}
      end

add(child, keys=nil)

[Source]

    # File tk/lib/tkextlib/tile/tnotebook.rb, line 75
      def add(child, keys=nil)
        if keys && keys != None
          tk_send_without_enc('add', _epath(child), *hash_kv(keys))
        else
          tk_send_without_enc('add', _epath(child))
        end
        self
      end

enable_traversal()

[Source]

    # File tk/lib/tkextlib/tile/tnotebook.rb, line 64
      def enable_traversal()
        if Tk::Tile::TILE_SPEC_VERSION_ID < 5
          tk_call_without_enc('::tile::enableNotebookTraversal', @path)
        elsif Tk::Tile::TILE_SPEC_VERSION_ID < 7
          tk_call_without_enc('::tile::notebook::enableTraversal', @path)
        else
          tk_call_without_enc('::ttk::notebook::enableTraversal', @path)
        end
        self
      end

forget(idx)

[Source]

    # File tk/lib/tkextlib/tile/tnotebook.rb, line 84
      def forget(idx)
        tk_send('forget', idx)
        self
      end

index(idx)

[Source]

    # File tk/lib/tkextlib/tile/tnotebook.rb, line 89
      def index(idx)
        number(tk_send('index', idx))
      end

select(idx)

[Source]

    # File tk/lib/tkextlib/tile/tnotebook.rb, line 93
      def select(idx)
        tk_send('select', idx)
        self
      end

tabcget(tagOrId, option)

[Source]

    # File tk/lib/tkextlib/tile/tnotebook.rb, line 45
      def tabcget(tagOrId, option)
        tabconfigure(tagOrId, option)[-1]
      end

tabs()

[Source]

    # File tk/lib/tkextlib/tile/tnotebook.rb, line 98
      def tabs
        list(tk_send('tabs'))
      end

[Validate]